OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Line Class Reference

`#include <PGeom2d_Line.hxx>`

Inheritance diagram for PGeom2d_Line:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom2d_Line ()
| Creates a line with default values. .
Standard_EXPORT | PGeom2d_Line (const gp_Ax2d &aPosition)
| Creates a line located in 3D space with <aposition>. The Location of <aposition> is the origin of the line. .
Standard_EXPORT void | Position (const gp_Ax2d &aPosition)
| Set the value of the field position with <aposition>. .
Standard_EXPORT gp_Ax2d | Position () const
| Returns the value of the field position. .
| PGeom2d_Line (const Storage_stCONSTclCOM &a)
const gp_Ax2d & | _CSFDB_GetPGeom2d_Lineposition () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
gp_Ax2d | position

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_Line::PGeom2d_Line | ( |  | ) |

Standard_EXPORT PGeom2d_Line::PGeom2d_Line | ( | const gp_Ax2d & | aPosition | ) |

PGeom2d_Line::PGeom2d_Line | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Ax2d& PGeom2d_Line::_CSFDB_GetPGeom2d_Lineposition | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom2d_Line::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Curve.

Standard_EXPORT gp_Ax2d PGeom2d_Line::Position | ( |  | ) | const

Standard_EXPORT void PGeom2d_Line::Position | ( | const gp_Ax2d & | aPosition | ) |

## Field Documentation

gp_Ax2d PGeom2d_Line::position`[private]`

The documentation for this class was generated from the following file:

- PGeom2d_Line.hxx